CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000705CEEDLayout editingpublic2012-01-19 09:162012-02-04 23:04
ReporterKulik 
Assigned ToKulik 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Versionsnapshot7 
Target Versionsnapshot7Fixed in Versionsnapshot7 
Summary0000705: Falagard properties being serialized as PropertyDefinitions, wtf?!
DescriptionPadres (thanks for the report!) from cegui forum:
---
Hi!

At first, thank you for your hard work on this editor.

In the newest Snapshot6 release, I noticed one bug with the TaharezLook/ImageButton.
When I edit the ImageButton Hover/Normal/Pushed images in the editor, it's working. However, when I save the layout, the Hover/Normal/Pushed images are not saved correctly.

Here is saved window from Snapshot6:

Code: Select all
    <Window Name="menu_main_root/button" Type="TaharezLook/ImageButton">
                <Property Name="UnifiedAreaRect" Value="{{0.17875,0},{0.736667,0},{0.26125,50},{0.756667,50}}" />
                <Property Name="Font" Value="DejaVuSans-10" />
                <PropertyDefinition name="HoverImage" redrawOnWrite="true" />
                <PropertyDefinition name="NormalImage" redrawOnWrite="true" />
                <PropertyDefinition name="PushedImage" redrawOnWrite="true" />
    </Window>



and here the same from Snapshot5:

Code: Select all
    <Window Name="menu_main_root/button" Type="TaharezLook/ImageButton">
                <Property Name="UnifiedAreaRect" Value="{{0.17875,0},{0.736667,0},{0.26125,50},{0.756667,50}}" />
                <Property Name="Font" Value="DejaVuSans-10" />
                <Property Name="Name" Value="button" />
                <Property Name="HoverImage" Value="set:menu_button_on image:img" />
                <Property Name="NormalImage" Value="set:menu_button_off image:img" />
                <Property Name="PushedImage" Value="set:menu_button_off image:img" />
    </Window>



Also, Is it possible to add an "Event" property to the Window? We use Lua scripting for button press etc., so we just insert

Code: Select all
    <Event Name="Clicked" Function="luabtn_clicked" />

to the Window and it's calling the function we define...

Thank you!

EDIT: also, in the StaticImage, ImageField, I notice the same bug as described in previous post "Image Field not taking input?".

Stefan
---
Additional InformationThis is very likely a CEGUI bug.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000854)
Mars_999 (reporter)
2012-01-20 05:17

Here is the link to the issue I found...

http://www.cegui.org.uk/phpBB2/viewtopic.php?f=15&t=5953 [^]
(0000864)
Kulik (administrator)
2012-02-04 23:04

Fixed (in CEGUI) with 861362890025

- Issue History
Date Modified Username Field Change
2012-01-19 09:16 Kulik New Issue
2012-01-19 09:17 Kulik Description Updated View Revisions
2012-01-20 05:17 Mars_999 Note Added: 0000854
2012-01-22 15:09 Kulik Priority normal => high
2012-02-04 23:03 Kulik Assigned To => Kulik
2012-02-04 23:03 Kulik Status new => assigned
2012-02-04 23:04 Kulik Note Added: 0000864
2012-02-04 23:04 Kulik Status assigned => resolved
2012-02-04 23:04 Kulik Resolution open => fixed
2012-02-04 23:04 Kulik Fixed in Version 0.8.3 => snapshot7
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker